1. 首页
  2. 服务器

Python 3一键安装脚本 解决KCPTUN安装失败的问题

Kcptun是一款VPS服务器网络加速工具,对网络较差的服务器,有着非常明显的加速效果。Kcptun一键安装脚本可以参考这篇文章。

为什么会安装失败:

在安装Kcptun服务器端时,一键脚本会同时安装Supervisor 4.0 ,而Supervisor对Python版本有一定要求,从 4.0 开始已不支持 python 2.6 及以下版本。脚本作者建议的Python版本,是2.7.9及以上,或者3.4及以上。

但是在一些低版本的系统,比如CentOS 6系统中,默认的Python版本大部分都是2.6.6,其实是不符合要求的。在这种情况下,可以尝试继续安装Kcptun,但是有少部分用户会遇到安装失败的问题。

Python版本过低提示:

Python 3一键安装脚本 解决KCPTUN安装失败的问题

继续安装可能会提示创建 Supervisor 配置文件失败! 进而导致Kcptun安装失败:

Python 3一键安装脚本 解决KCPTUN安装失败的问题

下面我们就介绍几种应对方法,方便大家顺利安装Kcptun。

Python版本过低解决办法

方案一:

尝试手动安装Supervisor 3.4版本,而不是默认的4.0。安装成功后再次尝试安装Kcptun。

Supervisor 3.4安装命令:

pip install supervisor==3.4.0
Shell

方案二:

在当前系统中安装Python 3.6版本,安装成功后尝试再次安装Kcptun,下文我们会具体介绍Python 3.6的一键安装。

注意,由于Python版本的变更,此方案可能会导致系统中部分依赖Python的模块受影响,大家可以尝试,但并非首选方案。

方案三:

重装系统为较新版本,比如更换CentOS 6 至 CentOS 7,然后尝试再次安装Kcptun。

因为在CentOS 7系统下,Python版本一般在2.7以上,可以顺利安装Kcptun。

Python 3.6一键安装脚本
此一键脚本来自 Rat’s Blog,在此表示感谢,Python版本为3.6.4。

适用系统:

CentOS
Debian
Python 3.6一键安装脚本使用:

1.运行如下命令检查系统中是否有Python 3版本,没有的话继续下一步:

python3 -V
Shell

2.根据系统平台不同,选择对应的脚本运行:

  • CentOS Python 3.6一键安装脚本:
wget https://www.moerats.com/usr/shell/Python3/CentOS_Python3.6.sh && sh CentOS_Python3.6.sh
Shell
  • Debian Python 3.6一键安装脚本:
wget https://www.moerats.com/usr/shell/Python3/Debian_Python3.6.sh && sh Debian_Python3.6.sh
Shell

3.安装完成后,再次运行如下命令检查是否安装成功:

python3 -V
Shell

常见问题
1.Python 3.6安装后,如何修改系统默认的Python版本。

Python 3.6安装成功后,会与原有的Python 2.x版本共存,此时默认的Python版本仍然是2.x。在这种情况下,Kcptun的安装仍然可能会受到影响。

如何解决:

依次运行如下命令,创建新版本软链接,更改默认版本为Python 3。之后重启系统使设置生效:

cd /usr/bin
mv python python.backup
ln -s /usr/local/bin/python3 /usr/bin/python
Shell

2.CentOS系统下,更改Python默认版本后,yum命令无法正常使用。

在更改Python默认版本为3.6之后,运行yum命令时,可能会出现以下错误提示:

 File "/usr/bin/yum", line 30
    except KeyboardInterrupt, e:
Shell

如何解决:

用WinScp打开/usr/bin/yum文件,将第一行内容做以下修改,修改之后最好再重启一下系统。

#!usr/bin/python

修改为python升级之前的老版本,如:

#!/usr/bin/python2.6

3.安装Python 3之后,在安装宝塔面板时报错,无法正常安装。

因为宝塔面板的正常使用,也需要用到Python。

安装python 3之后,在不修改Python软链接的情况下,宝塔面板是可以正常安装和使用的。但是在修改软链接之后,宝塔面板可能会出现以下问题:

安装宝塔面板时报错,导致安装失败。
如果之前已经安装过宝塔面板,那么在重启系统后,可能会无法正常使用。
如何解决:

方案一:运行如下命令,重新修改python软连接为老版本,之后重启系统使设置生效:

注意:以下命令中的python老版本为2.6,具体以实际为准。

rm -rf /usr/bin/python
ln -s /usr/bin/python2.6 /usr/bin/python
Shell

方案二:以上修改软连接的方案,虽然修复了宝塔面板的问题,但是又可能导致Kcptun无法正常使用。

所以如果需要同时安装Kcptun和宝塔面板,最好还是在较新版本的系统中安装,从而避开需要升级Python的情况。

原创文章,作者:cheshirex,如若转载,请注明出处:https://www.homedt.net/20448.html

联系我们

联系QQ:28575315